DEPENDÊNCIAS DESENCONTRADAS UBUNTU NVIDIA

1. DEPENDÊNCIAS DESENCONTRADAS UBUNTU NVIDIA

Tomás
vlV54701801

(usa Ubuntu)

Enviado em 10/07/2020 - 09:27h

Caros, sou meio novato no linux, mas estou com um problema que não consigo resolver de forma alguma. Existia um outro tópico com esse mesmo problema, que a pessoa optou por reinstalar o SO. Queria tentar resolver sem esse tipo de medida, até porque tenho dual boot, o que torna o processo mais chato para reinstalar o SO.
Em resumo. Coloquei o ppa da nvidia e instalei um driver para jogar CS:GO (a título de curiosidade, minha placa a GeForce 740M, em um Vostro 5470). Apesar do fps estar voando (uma média de 60/70, enquanto no windows fica na casa dos 30), esta com um problema de tearing no jogo, e somento no jogo. Ao ver vídeos etc... não tem esse problema. Achei que pudesse ser problema com o drive e fui alternar com tentativa e erro. No entanto chegou um momento que deu problema com a instalação do driver e zuo tudo. Segue o resumo do problema.

"Verifique se você está utilizando repositórios de terceiros. Se estiver, desabilite-os, já que normalmente são fonte de problemas.
Além disso, execute o seguinte comando em um Terminal: apt-get install -f
Transaction failed: O sistema de pacotes está quebrado
Os seguintes pacotes têm dependências não satisfeitas:

libnvidia-ifr1-440: Depends: libnvidia-gl-440 mas não está instalado
libnvidia-ifr1-440:i386: Depends: libnvidia-gl-440 mas não está instalado"

Dos comandos básicos já tentei todos. Nem remover a nvidia consigo porque o sistema não permite devido ao problema de dependência. Porque diz que não esta instalado e por isso não remove, mas ao mesmo tempo não consegue instalar porque falta arquivo dependente.

Aqui um exemplo do resultado de comando
"apt-get install -f
Lendo listas de pacotes... Pronto
Construindo árvore de dependências
Lendo informação de estado... Pronto
Corrigindo dependências... Pronto
Os seguintes pacotes foram instalados automaticamente e já não são necessários:
dkms lib32gcc1 libc6-i386 libnvidia-cfg1-440 libnvidia-common-390
libnvidia-common-410 libnvidia-common-440 libnvidia-compute-440:i386
libnvidia-decode-440 libnvidia-decode-440:i386 libnvidia-encode-440
libnvidia-encode-440:i386 libnvidia-extra-440 libnvidia-fbc1-440
libnvidia-fbc1-440:i386 libnvidia-gl-440 libnvidia-gl-440:i386
libnvidia-ifr1-440 libnvidia-ifr1-440:i386 libwayland-client0:i386
libwayland-server0:i386 nvidia-compute-utils-440 nvidia-dkms-440
nvidia-kernel-common-440 nvidia-kernel-source-440 nvidia-prime
nvidia-utils-440 xserver-xorg-video-nvidia-440
Utilize 'apt autoremove' para os remover.
The following additional packages will be installed:
libnvidia-gl-440 libnvidia-gl-440:i386
Os NOVOS pacotes a seguir serão instalados:
libnvidia-gl-440 libnvidia-gl-440:i386
0 pacotes atualizados, 2 pacotes novos instalados, 0 a serem removidos e 304 não atualizados.
2 pacotes não totalmente instalados ou removidos.
É preciso baixar 0 B/79,6 MB de arquivos.
Depois desta operação, 281 MB adicionais de espaço em disco serão usados.
Você quer continuar? [S/n] S
(Lendo banco de dados ... 211006 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb ...
desvio de /usr/lib/i386-linux-gnu/libGL.so.1 para /usr/lib/i386-linux-gnu/libGL.so.1.distrib por nvidia-340
dpkg-divert: erro: incompatibilidade em pacote
na remoção de 'desvio de /usr/lib/i386-linux-gnu/libGL.so.1 por libnvidia-gl-440'
encontrado 'desvio de /usr/lib/i386-linux-gnu/libGL.so.1 para /usr/lib/i386-linux-gnu/libGL.so.1.distrib por nvidia-340'
dpkg: erro ao processar o arquivo /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb (--unpack):
new libnvidia-gl-440:i386 package pre-installation script subprocess returned error exit status 2
A preparar para desempacotar .../libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb ...
desvio de /usr/lib/x86_64-linux-gnu/libGL.so.1 para /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib por nvidia-340
dpkg-divert: erro: incompatibilidade em pacote
na remoção de 'desvio de /usr/lib/x86_64-linux-gnu/libGL.so.1 por libnvidia-gl-440'
encontrado 'desvio de /usr/lib/x86_64-linux-gnu/libGL.so.1 para /usr/lib/x86_64-linux-gnu/libGL.so.1.distrib por nvidia-340'
dpkg: erro ao processar o arquivo /var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb (--unpack):
new libnvidia-gl-440:amd64 package pre-installation script subprocess returned error exit status 2
Erros foram encontrados durante o processamento de:
/var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_i386.deb
/var/cache/apt/archives/libnvidia-gl-440_440.100-0ubuntu0.18.04.1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)"

Se alguém pude me salvar com essa seria ótimo! Muito obrigado amigo!


  


2. Re: DEPENDÊNCIAS DESENCONTRADAS UBUNTU NVIDIA

Clodoaldo Santos
clodoaldops

(usa Linux Mint)

Enviado em 10/07/2020 - 09:34h

-vc instalou o driver-nvidia pelo aplicativo drivers-adicionais que já vem instalado no ubuntu ?




3. Re: DEPENDÊNCIAS DESENCONTRADAS UBUNTU NVIDIA

Tomás
vlV54701801

(usa Ubuntu)

Enviado em 10/07/2020 - 10:06h

Sim!
Exatamente.

O primeir driver que usei não teve problema. Funcionou bem, o único problema foi o Tearing. Mas quando no processo de alternar os drivers para ver se resolvia o problema do tearing durante o jogo que apareceu esse problema de dependência desencontrada. Acredito que tenha sido algum erro no processo de instalação dos drivers feito no próprio "programas e atualizações">"Drivers adicionais" do Ubuntu (18.04).






Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts